Bug 833045 - (CVE-2012-2742, CVE-2012-2743) CVE-2012-2742 CVE-2012-2743 revelation: Limits effective password length to 32 characters and doesn't iterate the passphrase through SHA algorithm to derive the encryption key
CVE-2012-2742 CVE-2012-2743 revelation: Limits effective password length to 3...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120206,reported=2...
: Security
Depends On: 833049 833050
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 09:22 EDT by Jan Lieskovsky
Modified: 2015-08-22 11:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-18 09:22:52 EDT
Multiple security flaws have been found in Revelation, a password manager for GNOME 2. Specifically:
1) It was found that Revelation limited effective password lengths to thirty two characters, which made it easier for context-dependent attackers to successfully conduct brute-force password guessing attacks,

2) It was found that Revelation did not iterate the particular passphrase through some of the SHA family of hashing algorithms, in order to derive the encryption key, which made it easier (in that scenario there were only 7 bits to vary on each character) for context-dependent attackers to successfully conduct dictionary based password guessing attacks.

Upstream ticket:
[1] http://oss.codepoet.no/revelation/issue/61/file-format-magic-string-version-mismatch

Further references:
[2] https://bugs.gentoo.org/show_bug.cgi?id=421571
[3] http://lists.fedoraproject.org/pipermail/devel/2012-June/168607.html
[4] http://knoxin.blogspot.co.uk/2012/06/revelation-password-manager-considered.html
[5] http://westhoffswelt.de/blog/0046_from_revelation_security_to_android_password_managers.html
Comment 1 Jan Lieskovsky 2012-06-18 09:34:11 EDT
CVE Request:
[6] http://www.openwall.com/lists/oss-security/2012/06/18/1
Comment 2 Jan Lieskovsky 2012-06-18 09:36:01 EDT
Created revelation tracking bugs for this issue

Affects: fedora-all [bug 833049]
Affects: epel-5 [bug 833050]
Comment 3 Jan Lieskovsky 2012-06-19 05:14:49 EDT
The following two CVE identifiers have been assigned:
http://www.openwall.com/lists/oss-security/2012/06/18/3

to the issues in question as follows:
1) CVE-2012-2742 one for the:
   "Revelation: Limits effective password length to 32 characters" issue,

2) CVE-2012-2743 one for the:
   "Revelation: Doesn't iterate the passphrase through SHA algorithm" issue.
Comment 4 Jef Spaleta 2012-06-24 15:07:52 EDT
Jan, 

Looks like the commits that are suppose to fix this landed about 5 hours ago in the upstream tree.  Upstream is prepping a release for tomorrow.  I'll push a new updates-testing package out into F16 and F17 as soon after upstream has the release out as I can.

-jef
Comment 5 Jef Spaleta 2012-06-24 16:00:37 EDT
initial scratch build against rawhide with the upstream encryption subsystem patches. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=4191839
Comment 6 Jan Lieskovsky 2012-06-25 05:51:39 EDT
(In reply to comment #4)
> Jan, 
> 
> Looks like the commits that are suppose to fix this landed about 5 hours ago
> in the upstream tree.  Upstream is prepping a release for tomorrow.  I'll
> push a new updates-testing package out into F16 and F17 as soon after
> upstream has the release out as I can.
> 
> -jef

Brilliant. Thank you for that, Jef.
Comment 7 Scott Schmit 2012-07-20 23:54:21 EDT
It's been almost a month, I've seen no activity on this bug...
Comment 8 Jef Spaleta 2012-07-23 00:36:21 EDT
Sorry this bug wasn't linked to the update packages.

packages are in updates-testing for F16 and F17.  Packages are in rawhide.

There is a lingering issue which gconf schema changes that causes the new revelation to not work correctly without manual intervention to delete the .gconf configs for revelation and restarting the user session.  I haven't been able to nail down a complete fix for that and I can't get it to happen consistently on my test F16 and F17 machines. So the packages are lingering in updates-testing.


-jef

Note You need to log in before you can comment on or make changes to this bug.